Get all batch transfers
This operation will respond with a list of batch transfers for the institution defined by the authenticated user’s context.
curl --request GET \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transfer/v1/a2a/batches' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transfer/v1/a2a/batches"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transfer/v1/a2a/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"size": 123,
"items": [
{
"id": "11221122",
"status": "IN_PROGRESS",
"startTime": "2023-11-29T14:57:00",
"transferItemCount": 2,
"description": "Test batch transfer",
"totalAmount": {
"EUR": 100,
"NOK": 150
},
"completionTime": "2023-11-29T15:31:00",
"successfulTransferItems": 1,
"failedTransferItems": 1
}
],
"lastEvaluatedKey": {
"institutionId": "<string>",
"startTime": "<string>",
"id": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
The audit user to log the request
Key used for pagination. Use values from lastEvaluatedKey returned by the response to fetch the next page.
Show child attributes
Show child attributes
How many batch transfers should be returned per page, default is 25. Cannot be more than 50.
1 < x < 50Response
Successful lookup of batch transfers
Number of items returned in the response
An array of batch transfers
Show child attributes
Show child attributes
Key used for pagination. Use these values in the request for exclusiveStartKey to fetch the next page.
Show child attributes
Show child attributes
Was this page helpful?

